Free Software Foundation!

Join now

Difference between revisions of "Firestr"

From Free Software Directory
Jump to: navigation,
m (Updated url's and changed name to Fire★)
(use categories, not dependencies for operating systems)
Line 62: Line 62:
 
|Live-communications=chat, conferencing
 
|Live-communications=chat, conferencing
 
|Programming-language=C++
 
|Programming-language=C++
 +
|Runs-on=Windows, Mac OSX
 
|Security=internet
 
|Security=internet
 
|Software-development=game-development, program-build-automation, program-editor
 
|Software-development=game-development, program-build-automation, program-editor
Line 89: Line 90:
 
|Prerequisite kind=Required to build
 
|Prerequisite kind=Required to build
 
|Prerequisite description=boost 1.50+
 
|Prerequisite description=boost 1.50+
}}
 
{{Software prerequisite
 
|Prerequisite kind=Required to use
 
|Prerequisite description=linux, mac, or windows
 
 
}}
 
}}
 
{{Software prerequisite
 
{{Software prerequisite

Revision as of 15:34, 4 April 2014

[edit]

Fire★

http://www.firestr.com
Fire★ is a a simple platform for decentralized communication and computation. Provides a simple application platform for developing p2p applications and share these applications with others in a chat like user interface.

You don't send a message to someone, you send an program, which can have rich content. All programs are wired up together automatically providing distributed communication, either through text, images, or games.

The source code to all applications is available immediately to instantly clone and modify.




Licensing

LicenseVerified byVerified onNotes
GPLv3orlaterJgay8 March 2013



Leaders and contributors

Contact(s)Role
Maxim Noah Khailo creator


Resources and communication

Audience Resource type URI
developer VCS Repository Webview http://github.com/mempko/firestr
questions, help E-mail firestr.dev@gmail.com
info Homepage http://www.firestr.com


Software prerequisites

Kind Description
Required to build gcc 4.8
Required to build QT 5
Required to use QT 5
Required to build cmake
Required to build boost 1.50+
Weak prerequisite internet connection, or local lan



Entry











































Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License, Version 1.3 or any later version published by the Free Software Foundation; with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts. A copy of the license is included in the page “GNU Free Documentation License”.

The copyright and license notices on this page only apply to the text on this page. Any software or copyright-licenses or other similar notices described in this text has its own copyright notice and license, which can usually be found in the distribution or license text itself.


Personal tools
Namespaces

Variants
Actions
Navigation
Contribute